<template>
	<el-dialog :title="titleMap[mode]" v-model="visible" :width="500" destroy-on-close @closed="$emit('closed')">
		<el-form :model="form" :rules="rules" :disabled="mode=='show'" ref="dialogForm" label-width="140px">
			<el-form-item label="预计六个月用量" prop="estimated_dosage">
				<el-input v-model="form.estimated_dosage" placeholder="请输入预计六个月用量" clearable type="text"></el-input>
			</el-form-item>
		</el-form>
		<template #footer>
			<el-button @click="visible=false" >取 消</el-button>
			<el-button v-if="mode!='show'" type="primary" :loading="isSave" @click="submit()">保 存</el-button>
		</template>
	</el-dialog>
</template>

<script>
export default {
	emits: ['success', 'closed'],
	data() {
		return {
			mode: "add",
			titleMap: {
				edit: '修改预计用量',
			},
			visible: false,
			isSave: false,

			//表单数据
			form: {
				ids:[],
				estimated_dosage:"",
			},
			//验证规则
			rules: {},
		}
	},
	mounted() {

	},
	methods: {
		//显示
		open(mode='add'){
			this.mode = mode;
			this.visible = true;
			return this
		},
		//表单提交方法
		submit(){
			this.$refs.dialogForm.validate(async (valid) => {
				if (valid) {
					this.isSave = true;
					const res = await this.$API.early.earlyWarn.batchEdit.post(this.form);
					this.isSave = false;
					if(res.code == 200){
						this.$emit('success');
						this.visible = false;
						this.$message.success("操作成功");
					}
				}
			})
		},
		//表单注入数据
		async setData(data) {
			Object.assign(this.form, data);
		}
	}
}
</script>

<style>
</style>
